/// <reference types="node" />
import { ethers, providers, EventFilter } from 'ethers';
import { Buffer } from 'buffer';
export declare class EthClient {
    provider: providers.JsonRpcProvider;
    constructor(provider: providers.JsonRpcProvider);
    static dial(chainUrl: string): Promise<EthClient>;
    transactionByHash(transactionHash: string): Promise<providers.TransactionResponse>;
    chainID(): Promise<bigint>;
    subscribeFilterLogs(filter: EventFilter, callback: (log: providers.Log) => void): providers.Listener;
}
export declare function connectToChain(chainUrl: string, chainPK: Buffer): Promise<[EthClient, ethers.Signer]>;
